curl --request GET \
--url https://api.myscalev.com/v3/products/{product_id}/knowledge-items \
--header 'Authorization: Bearer <token>'{
"data": [
{
"a": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inserted_at": "2023-11-07T05:31:56Z",
"position": 123,
"product_id": 123,
"q": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"variant_id": 123
}
],
"is_paginated": true,
"has_next": false,
"last_id": 99,
"page_size": 25
}Requires the product:list machine scope. Retrieves a paginated list of product-level knowledge items. The data is sorted by id in ascending order.
curl --request GET \
--url https://api.myscalev.com/v3/products/{product_id}/knowledge-items \
--header 'Authorization: Bearer <token>'{
"data": [
{
"a": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inserted_at": "2023-11-07T05:31:56Z",
"position": 123,
"product_id": 123,
"q": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"variant_id": 123
}
],
"is_paginated": true,
"has_next": false,
"last_id": 99,
"page_size": 25
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last ID for cursor-based pagination (UUIDv7)
Number of items per page (default: 25, max: 25)
x <= 2525
Paginated list of knowledge items